<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:tx="http://www.springframework.org/schema/tx" xmlns:jdbc="http://www.springframework.org/schema/jdbc"
	xsi:schemaLocation="
           http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
           http://www.springframework.org/schema/tx http://www.springframework.org/schema/tx/spring-tx.xsd">

	<!-- DAO -->
	<bean id="referentielRegentGenericDao" class="fr.ge.common.regent.persistance.dao.AbstractDao" abstract="true">
		<property name="sessionFactory" ref="regentSessionFactory" />
	</bean>
	
	<bean id="reglesRegentDao" class="fr.ge.common.regent.persistance.dao.referentiel.ReglesRegentDao" parent="referentielRegentGenericDao">
		<constructor-arg value="fr.ge.common.regent.bean.modele.referentiel.ERegleRegent" />
	</bean>
	
    <bean id="normeDestinataireDao" class="fr.ge.common.regent.persistance.dao.referentiel.NormeDestinataireDao" parent="referentielRegentGenericDao">
        <constructor-arg value="fr.ge.common.regent.bean.modele.referentiel.ENormeDestinataire" />
    </bean>
    
    <bean id="normeEvenementDao" class="fr.ge.common.regent.persistance.dao.referentiel.NormeEvenementDao" parent="referentielRegentGenericDao">
        <constructor-arg value="fr.ge.common.regent.bean.modele.referentiel.ENormeEvenement" />
    </bean>
    
    <bean id="normeFluxDao" class="fr.ge.common.regent.persistance.dao.referentiel.NormeFluxDao" parent="referentielRegentGenericDao">
        <constructor-arg value="fr.ge.common.regent.bean.modele.referentiel.ENormeFlux" />
    </bean>
    
        <bean id="normeRubriqueDao" class="fr.ge.common.regent.persistance.dao.referentiel.NormeRubriqueDao" parent="referentielRegentGenericDao">
        <constructor-arg value="fr.ge.common.regent.bean.modele.referentiel.ENormeRubrique" />
    </bean>
    
</beans>
